using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;
using System.Text;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Shared;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Creates the PDFDocument 
        PDFDocument doc = CreatePDF();

        //Apply security settings
        doc.Security.AllowCopyContent = false;
        doc.Security.AllowEditAnnotations = false;
        doc.Security.AllowEditContent = false;
        doc.Security.AllowFillFormFields = false;

        //Save the document and open it in browser
        doc.Save("FieldReport.pdf", Response, HttpReadType.Open);
    }

    private PDFDocument CreatePDF()
    {
        //stores all the streams that will be combined into one PDFDocument
        ArrayList streams = new ArrayList();
        
        streams.Add(GeneratePDF());
        //foreach (FieldReportForm f in Forms)
        //    streams.Add(f.GeneratePDF());
        
        //Merges all the streams
        PDFDocument doc = PDFDocument.Merge((Stream[])streams.ToArray(typeof(Stream)));

        //Closes all the streams
        foreach (Stream s in streams) s.Close();
        return doc;
    }
    private Stream GeneratePDF()
    {
        //Loads the stored PDF
        PDFDocument doc = new PDFDocument("C:\\WWW\\FTL\\WebSite\\Forms\\FieldReport.pdf");
        //Grabs the underlying form
        IPDFForm form = doc.Form;

        //Loads values into the PDF form
        form.Fields["Client[0]"].Value = "ClientName";
        form.Fields["Project[0]"].Value = "Project";
        form.Fields["Contact[0]"].Value = "Contact";
        form.Fields["PhoneNumber[0]"].Value = "PhoneNumber";
        form.Fields["ArriveTime[0]"].Value = "12:00 PM";
        form.Fields["DepartTime[0]"].Value = "12:00 PM";
        form.Fields["HoursOnSite[0]"].Value = "0.0";
        form.Fields["AdditionalReportTime[0]"].Value = "0.0";
        form.Fields["Delays[0]"].Value = "Delays";
        form.Fields["Equipment[0]"].Value = "Equipment";
        form.Fields["Tolls[0]"].Value = "Tolls";
        form.Fields["Parking[0]"].Value = "Parking";
        form.Fields["Mobilization[0]"].Value = "MobilizationTime";
        form.Fields["TestSummary[0]"].Value = "TestSummary";
        form.Fields["TechName[0]"].Value = "Chad Dunham";

        /////////////////////////////////////////////////////
        //  The field that is causing the problems
        /////////////////////////////////////////////////////

        //form.Fields["Report[0]"].Value = "Hello World";
        form.Fields["Report[0]"].Value = "On January 08, 2007, inspections were performed at the above referenced project. The focus of the inspection was the reinforcement and concrete placement as defined in this report. A summary of the days inspections and observations are as follows: \n \nReinforcing Steel \n\nFinal inspections were performed for the core wall supporting the 9th level between lines 3-4/G-E. The rebar in place appeared to be per project specifications, structural drawings with associated details, and rebar shop drawings as well as in compliance with ACI-318 with respects to proper size, spacing, clearance, grade of steel, location, and lap splices and free of laitance which may lower adhesion of concrete. Rebar placement was in progress for the 7th level deck between lines E.5-D/2-5 and D-A/1-6. Final inspections will be performed prior to concrete placement.\n\nConcrete Placement\n\nApproximately 36 cubic yards of mix # 1606 (6,000 p.s.i. @ 28 days) were placed for the final core wall locations stated above. Concrete was placed carefully so as not to disturb reinforcement and was placed by bucket continuously to grade. A total of 1 set of 4 (4 x 8) cylinders were cast for compressive strength. \n\nEach test has been conducted in accordance with the following ASTM standard designations:\n\nSlump- ASTM-C143\nAir Entrainment- ASTM-C231\nTemperature of Concrete- ASTM-C1064\n\nCompressive strength tests will be reported separately. Please see attached log sheet for additional info.\n\nWe would be pleased to discuss this report with you at your convenience.";

        /////////////////////////////////////////////////////
        /////////////////////////////////////////////////////

	form.Flatten();
        MemoryStream s = new MemoryStream();
        doc.Save(s);
        return s;
    }
}

